zenilib: TT_OS2_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_OS2_ Struct Reference

`#include <tttables.h>`

## Public Attributes

FT_Char | achVendID [4]
FT_UShort | fsSelection
FT_Short | fsType
FT_Byte | panose [10]
FT_Short | sCapHeight
FT_Short | sFamilyClass
FT_Short | sTypoAscender
FT_Short | sTypoDescender
FT_Short | sTypoLineGap
FT_Short | sxHeight
FT_ULong | ulCodePageRange1
FT_ULong | ulCodePageRange2
FT_ULong | ulUnicodeRange1
FT_ULong | ulUnicodeRange2
FT_ULong | ulUnicodeRange3
FT_ULong | ulUnicodeRange4
FT_UShort | usBreakChar
FT_UShort | usDefaultChar
FT_UShort | usFirstCharIndex
FT_UShort | usLastCharIndex
FT_UShort | usMaxContext
FT_UShort | usWeightClass
FT_UShort | usWidthClass
FT_UShort | usWinAscent
FT_UShort | usWinDescent
FT_UShort | version
FT_Short | xAvgCharWidth
FT_Short | yStrikeoutPosition
FT_Short | yStrikeoutSize
FT_Short | ySubscriptXOffset
FT_Short | ySubscriptXSize
FT_Short | ySubscriptYOffset
FT_Short | ySubscriptYSize
FT_Short | ySuperscriptXOffset
FT_Short | ySuperscriptXSize
FT_Short | ySuperscriptYOffset
FT_Short | ySuperscriptYSize

## Detailed Description

Definition at line 350 of file tttables.h.

## Member Data Documentation

FT_Char TT_OS2_::achVendID[4]

Definition at line 376 of file tttables.h.

FT_UShort TT_OS2_::fsSelection

Definition at line 378 of file tttables.h.

Referenced by tt_face_load_os2().

FT_Short TT_OS2_::fsType

Definition at line 356 of file tttables.h.

Referenced by FT_Get_FSType_Flags().

FT_Byte TT_OS2_::panose[10]

Definition at line 369 of file tttables.h.

FT_Short TT_OS2_::sCapHeight

Definition at line 395 of file tttables.h.

Referenced by tt_face_load_os2().

FT_Short TT_OS2_::sFamilyClass

Definition at line 367 of file tttables.h.

FT_Short TT_OS2_::sTypoAscender

Definition at line 381 of file tttables.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and tt_face_load_os2().

FT_Short TT_OS2_::sTypoDescender

Definition at line 382 of file tttables.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and tt_face_load_os2().

FT_Short TT_OS2_::sTypoLineGap

Definition at line 383 of file tttables.h.

FT_Short TT_OS2_::sxHeight

Definition at line 394 of file tttables.h.

Referenced by tt_face_load_os2().

FT_ULong TT_OS2_::ulCodePageRange1

Definition at line 389 of file tttables.h.

Referenced by tt_face_load_os2().

FT_ULong TT_OS2_::ulCodePageRange2

Definition at line 390 of file tttables.h.

Referenced by tt_face_load_os2().

FT_ULong TT_OS2_::ulUnicodeRange1

Definition at line 371 of file tttables.h.

FT_ULong TT_OS2_::ulUnicodeRange2

Definition at line 372 of file tttables.h.

FT_ULong TT_OS2_::ulUnicodeRange3

Definition at line 373 of file tttables.h.

FT_ULong TT_OS2_::ulUnicodeRange4

Definition at line 374 of file tttables.h.

FT_UShort TT_OS2_::usBreakChar

Definition at line 397 of file tttables.h.

Referenced by tt_face_load_os2().

FT_UShort TT_OS2_::usDefaultChar

Definition at line 396 of file tttables.h.

Referenced by tt_face_load_os2().

FT_UShort TT_OS2_::usFirstCharIndex

Definition at line 379 of file tttables.h.

FT_UShort TT_OS2_::usLastCharIndex

Definition at line 380 of file tttables.h.

FT_UShort TT_OS2_::usMaxContext

Definition at line 398 of file tttables.h.

Referenced by tt_face_load_os2().

FT_UShort TT_OS2_::usWeightClass

Definition at line 354 of file tttables.h.

FT_UShort TT_OS2_::usWidthClass

Definition at line 355 of file tttables.h.

FT_UShort TT_OS2_::usWinAscent

Definition at line 384 of file tttables.h.

Referenced by tt_face_load_os2().

FT_UShort TT_OS2_::usWinDescent

Definition at line 385 of file tttables.h.

Referenced by tt_face_load_os2().

FT_UShort TT_OS2_::version

Definition at line 352 of file tttables.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), FT_Get_FSType_Flags(), get_sfnt_table(), and tt_face_load_os2().

FT_Short TT_OS2_::xAvgCharWidth

Definition at line 353 of file tttables.h.

FT_Short TT_OS2_::yStrikeoutPosition

Definition at line 366 of file tttables.h.

FT_Short TT_OS2_::yStrikeoutSize

Definition at line 365 of file tttables.h.

FT_Short TT_OS2_::ySubscriptXOffset

Definition at line 359 of file tttables.h.

FT_Short TT_OS2_::ySubscriptXSize

Definition at line 357 of file tttables.h.

FT_Short TT_OS2_::ySubscriptYOffset

Definition at line 360 of file tttables.h.

FT_Short TT_OS2_::ySubscriptYSize

Definition at line 358 of file tttables.h.

FT_Short TT_OS2_::ySuperscriptXOffset

Definition at line 363 of file tttables.h.

FT_Short TT_OS2_::ySuperscriptXSize

Definition at line 361 of file tttables.h.

FT_Short TT_OS2_::ySuperscriptYOffset

Definition at line 364 of file tttables.h.

FT_Short TT_OS2_::ySuperscriptYSize

Definition at line 362 of file tttables.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/tttables.h